package com.siwei.rsmonitoring.mapper;

import com.siwei.rsmonitoring.domain.TDkGeomDb;

import java.util.List;

/**
 * 空间入库存储Mapper接口
 * 
 * @author siwei
 * @date 2025-02-05
 */
public interface TDkGeomDbMapper
{
    /**
     * 查询空间入库存储
     * 
     * @param id 空间入库存储主键
     * @return 空间入库存储
     */
    public TDkGeomDb selectTDkGeomDbById(String id);

    /**
     * 查询空间入库存储列表
     * 
     * @param TDkGeomDb 空间入库存储
     * @return 空间入库存储集合
     */
    public List<TDkGeomDb> selectTDkGeomDbList(TDkGeomDb TDkGeomDb);

    /**
     * 新增空间入库存储
     * 
     * @param tDkGeomDb 空间入库存储
     * @return 结果
     */
    public int insertTDkGeomDb(TDkGeomDb tDkGeomDb);

    /**
     * 修改空间入库存储
     * 
     * @param TDkGeomDb 空间入库存储
     * @return 结果
     */
    public int updateTDkGeomDb(TDkGeomDb TDkGeomDb);

    /**
     * 删除空间入库存储
     * 
     * @param id 空间入库存储主键
     * @return 结果
     */
    public int deleteTDkGeomDbById(String id);

    /**
     * 批量删除空间入库存储
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDkGeomDbByIds(String[] ids);
}
